XmStringNConcat(3Xm)

NAME
XmStringNConcat — a compound string function that appends a specified number of bytes to a compound string.

SYNOPSIS
#include <Xm/Xm.h>

XmString XmStringNConcat (s1, s2, num_bytes)
    XmString    s1;
    XmString    s2;
    int    num_bytes;

DESCRIPTION
XmStringNConcat appends a specified number of bytes from s2 to the end of s1, including tags, directional indicators, and separators. It then returns the resulting compound string. The original strings are preserved. The space for the resulting compound string is allocated within the function. The application is responsible for managing the allocated space. The memory can be recovered by calling XmStringFree.

s1  Specifies the compound string to which a copy of s2 is appended.

s2  Specifies the compound string that is appended to the end of s1.

num_bytes
    Specifies the number of bytes of s2 to append to s1. If this value is less than the length of s2, the resulting string will not be a valid compound string.

RETURN VALUE
Returns a new compound string.

RELATED INFORMATION
XmStringCreate(3Xm) and XmStringFree(3Xm).